=== debian/changelog ===
psutils (1.17-31) unstable; urgency=low

  * Mark psutils Multi-Arch: foreign.  (Closes: #649693)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 28 Nov 2011 10:33:39 -0500

psutils (1.17-30) unstable; urgency=low

  * debian/patches/bboxesandsizes.patch: add page headers to output
    according to parameters (LP #396025).  Thanks Michael Braun.
    (Closes: #632182)
  * Update standards to 3.9.2

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:40:07 -0400

psutils (1.17-29) unstable; urgency=low

  * Update large file patch to correct regression caused on kfreebsd-i386.
    Thanks Guillem Jover. (Closes: #617872)
  * Remove -Werror from compilation flags as per correct suggestion from
    Guillem Jover.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Apr 2011 18:54:02 -0400

psutils (1.17-28) unstable; urgency=low

  * Change source format to '3.0 (quilt)'
  * Remove README.source
  * Update standards to 3.9.1
  * Accept patch from daniele giacomini to allow psutils to work on files
    larger than 2 GiB.  (Closes: #595239)
  * Accept psutils-flip.patch from Peter Korsgaard.  This patch has been
    in SUSE for some time.  (Closes: #534455)
  * Add public domain psjoin script.  (Closes: #253866)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Oct 2010 12:39:12 -0400

psutils (1.17-27) unstable; urgency=low

  * Housekeeping: add README.source, convert patches to quilt, add
    homepage to control file, update standards version to 3.8.3.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 19:17:51 -0400

psutils (1.17-26) unstable; urgency=low

  * Change Recommends on gs | gs-esp to one on ghostscript.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 30 Jun 2008 16:59:26 -0400

psutils (1.17-25) unstable; urgency=low

  * Update standards version to 3.7.3.  No changes required.
  * Fix error in psmerge manual page.  (Closes: #464785)
  * Include patch from Bernhard R. Link to remove paper size information
    and bounding boxes from psnup and psresize.  This removes bugs
    resulting in having usually incorrect information in files when the
    paper size has changed, reasoning that having no information is better
    than having incorrect information.  (Closes: #368331, #434500)
  * Honor DEB_BUILD_OPTIONS=nostrip by not explicitly calling install -s
    to strip executables and instead letting dh_strip do it for us.
    (Closes: #437832)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Jun 2008 11:16:42 -0400

psutils (1.17-24) unstable; urgency=low

  * Yet another fix to the pstops manual page involving handling of quotes
    around examples. (Closes: #392737)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 18 Nov 2006 13:16:01 -0500

psutils (1.17-23) unstable; urgency=low

  * Correction to quotation changes in manual pages to work better in
    multiple locales.
  * Add watch file
  * Update URL in copyright file

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Jun 2006 14:47:32 -0400

psutils (1.17-22) unstable; urgency=low

  * From Ian Jackson <iwj@ubuntu.com>: Make psnup (pstops, etc. etc.) cope
    with output from Gnome printing system, which does `/showpage load',
    thus defeating attempts to redefine showpage from virtual page to
    virtual page.  Instead, we redefine showpage to a procedure which
    looks at PStoPSenablepage, a new variable, which is what changes from
    page to page.  Malone #28311.  (Closes: #360606)
  * List binaries in description.  I had removed these but have been
    convinced that they belong after all.  (Closes: #357560)
  * Add quotation marks to examples with parentheses in pstops manual
    page.  Thanks Danai SAE-HAN.  (Closes: #363092)
  * Updated standards version to 3.7.2.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 29 May 2006 10:40:58 -0400

psutils (1.17-21) unstable; urgency=low

  * Fix packaging bug that prevented /etc/papersize from being inspected.
    (Closes: #339506)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Nov 2005 11:57:43 -0500

psutils (1.17-20) unstable; urgency=low

  * New maintainer.  Thanks Rob!  (Closes: #329425)
  * Bring package to current Standards-Version; make other miscellaneous
    fixes to control file
  * No longer Provide postscript-previewer
  * Modify psmerge to use gs if available; make this package Recommmend
    (rather than Suggest) some version of gs (Closes: #159888, #35328)
  * The -thorough option to psmerge doesn't do anything; remove it from
    the help message.  (Closes: #252052, #252054)
  * Convert package to use cdbs.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 13 Nov 2005 21:27:03 -0500

psutils (1.17-19) unstable; urgency=low

  * Add Build-Depends on debhelper. (closes: #329609)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 22 Sep 2005 11:09:21 -0700

psutils (1.17-18) unstable; urgency=low

  * Fix psmerge usage message.  Thanks to Gregor Hoffleit
    <flight@debian.org> and Helge Kreutzmann
    <kreutzm@itp.uni-hannover.de>. (closes: #252053, #252610)
    - debian/patches/fix-psmerge-usage.diff

  * Add showchar manpage.  Thanks to Uwe Hermann <uh1763@hermann-uwe.de>.
    (closes: #118068)
    - debian/patches/showchar-manpage.diff

  * Convert package to use quilt.  There are now no modifications outside
    ./debian.
    - debian/rules
    - debian/patches/misc.diff

  * Convert package to use debhelper.

  * Add ${misc:Depends} to debian/control.
    - debian/control

  * Update Standards-Version to 3.5.6.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Sep 2005 11:38:14 -0700

psutils (1.17-17) unstable; urgency=low

  * fix handling of pstops '@0.99(0.1cm,0.1cm)' to follow manpage
    (i.e. allow omission of pageno when only one spec.
    (closes: Bug#183508)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 30 Mar 2003 23:54:32 -0600

psutils (1.17-16) unstable; urgency=low

  * be more careful about return values from libpaper functions.
  (closes: Bug#170503)
  * list binaries in description.  (closes: Bug#143529)

