=== debian/control ===
Source: psutils
Section: text
Priority: optional
Maintainer: Jay Berkenbilt <qjb@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libpaper-dev
Standards-Version: 3.9.2
Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/

Package: psutils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript
Description: PostScript document handling utilities
 This collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.
 .
 The following programs are included in psutils: epsffit, extractres,
 fixdlsrps, fixfmps, fixmacps, fixpsditps, fixpspps, fixscribeps,
 fixtpps, fixwfwps, fixwpps, fixwwps, getafm, includeres, psbook,
 psmerge, psnup, psresize, psselect, pstops, showchar
 .
 Some programs included here (psmerge) behave differently if gs is
 available, but all programs work without it.
