=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Include cdbs rules files.
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CURDIR := $(shell pwd)
DEB_MAKE_CLEAN_TARGET = realclean
DEB_MAKE_BUILD_TARGET = prefix=/usr all
DEB_MAKE_INSTALL_TARGET = prefix=$(CURDIR)/debian/psutils/usr \
	  MANDIR=$(CURDIR)/debian/psutils/usr/share/man/man1 \
	  install

CFLAGS = -DDEBIAN -DUNIX -O2 -g -Wall

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

# As 0.4.21, cdbs creates but doesn't debian/compat.  It creates it
# conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat
	$(RM) showchar.1

common-install-prehook-arch::
	mkdir -p debian/psutils/usr/bin \
		debian/psutils/usr/lib \
		debian/psutils/usr/share/man/man1 \

install/psutils::
	cp psjoin debian/psutils/usr/bin
	chmod +x debian/psutils/usr/bin/psjoin
	cp psjoin.1 debian/psutils/usr/share/man/man1

# Install lintian override files
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi
