=== debian/watch ===
version=3
opts="uversionmangle=s/^/1./" \
 ftp://ftp.knackered.org/pub/psutils/psutils-p(\d+).tar.gz
