## psutils 1.17.dfsg

=== debian/changelog ===
psutils (1.17.dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Set Vcs fields
  * Change watch file to report latest version of 1.x series
  * Replace cdbs by dh
  * d/copyright: DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix false positive lintian warning

  [ Reuben Thomas ]
  * Respect output paper size if explicit set instead of overriding it by input
    paper size in psnup
    Closes: #695178

  [ Bjarni Ingi Gislason ]
  * Adjust spaces after full stops
    Closes: #852121
  * Some formatting improvements
    Closes: #852123

 -- Andreas Tille <tille@debian.org>  Sat, 12 Oct 2024 12:12:26 +0200

psutils (1.17.dfsg-4) unstable; urgency=medium

  [ Antony Pavlov ]
  * psmerge: Use ps2write.  (pswrite is gone from gs.)
    Closes:#797528.

  [ Bjarni Ingi Gislason ]
  * psnup(1): Fix manpage syntax error.  Closes:#663258.
  * pstops(1): Remove unneeded backslash.  Closes:#726468.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Pass CC as a cmdline option to make.  Closes:#838205.

  [ Reuben Thomas ]
  * psnup(1): Remove a confusing and unnecessary qualification
    about units.  Apropos of #695179.

  [ Ian Jackson ]
  * Make myself the maintainer.  Closes:#777699.
  * Fix the upstream URL to refer to Reuben Thomas's github.
    Closes:#752161.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 21 Jan 2017 19:39:50 +0000

psutils (1.17.dfsg-3) unstable; urgency=medium

  * Orphan package

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Aug 2016 21:59:27 -0400

psutils (1.17.dfsg-2) unstable; urgency=medium

  * Replace hardening with dpkg-buildflags
  * Update standards to 3.9.5

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 26 Jul 2014 19:09:32 -0400

psutils (1.17.dfsg-1) unstable; urgency=low

  * Repackage without files with unclear copyright.  See copyright file
    and README.source for details.  (Closes: #682708)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 25 Aug 2012 06:10:34 -0400

psutils (1.17-32) unstable; urgency=low

  * Hardening, update standards version

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 29 Jun 2012 21:23:03 -0400
