=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: psutils
 Section: text
 Priority: optional
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libpaper-dev
-Standards-Version: 3.9.2
-Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Build-Depends: debhelper-compat (= 13),
+               libpaper-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/psutils
+Vcs-Git: https://salsa.debian.org/debian/psutils.git
+Homepage: https://github.com/rrthomas/psutils
+Rules-Requires-Root: no
 
 Package: psutils
 Architecture: any
