=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

export DEB_CFLAGS_MAINT_APPEND = -DDEBIAN -DUNIX
export DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(DESTDIR)/share/man/man1
	dh_auto_install -- prefix=$(DESTDIR) MANDIR=$(DESTDIR)/share/man/man1
