=== debian/watch ===
version=4

opts="searchmode=plain,uversionmangle=s/^[23]./0./,repacksuffix=+dfsg,dversionmangle=auto" \
   https://api.github.com/repos/rrthomas/psutils/releases?per_page=100 \
   https://github.com/rrthomas/psutils/releases/download/v?[\d.]+/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
