=== debian/changelog ===
psutils (1.17.dfsg-1+6.0.1trisquel1) toutatis; urgency=low

  * Backported from belenos, #5981

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 18 Jun 2015 17:41:58 +0000
