=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: psutils
 Section: text
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debhelper-compat (= 13),
-               libpaper-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/debian/psutils
-Vcs-Git: https://salsa.debian.org/debian/psutils.git
-Homepage: https://github.com/rrthomas/psutils
-Rules-Requires-Root: no
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: cdbs, debhelper (>> 9), libpaper-dev, hardening-wrapper
+Standards-Version: 3.9.3
+Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/
 
 Package: psutils
 Architecture: any
