=== debian/changelog ===
psutils (3.3.8-1) unstable; urgency=medium

  * Add Bastian as Uploader
  * Move to unstable
    Closes: #1092602

 -- Bastian Germann <bage@debian.org>  Sat, 15 Feb 2025 15:51:09 +0000

psutils (3.3.8-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 3.3.8
    Closes: #1002514
  * d/watch: Scan for every upstream version
  * d/watch: Scan git tags (releases lack some programs)

 -- Bastian Germann <bage@debian.org>  Mon, 06 Jan 2025 22:51:22 +0100
