=== debian/control ===
Source: psutils
Section: text
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-argparse-manpage,
               python3-puremagic,
               python3-pypdf,
               python3-setuptools,
               libpaper-utils,
               libpaper-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/psutils
Vcs-Git: https://salsa.debian.org/debian/psutils.git
Homepage: https://github.com/rrthomas/psutils
Rules-Requires-Root: no

Package: python3-psutils
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: psutils
Description: PostScript document handling libraries
 Library for psutils, a collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.

Package: psutils
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}, ${python3:Depends}, python3-psutils
Recommends: ghostscript
Description: PostScript document handling utilities
 This collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.
 .
 The following programs are included in psutils: epsffit, extractres,
 fixdlsrps, fixfmps, fixpsditps, fixpspps, fixscribeps,
 fixtpps, fixwfwps, fixwpps, fixwwps, includeres, psbook,
 psjoin, psmerge, psnup, psresize, psselect, pstops.
 .
 Some programs included here (psmerge) behave differently if gs is
 available, but all programs work without it.
