=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build
