=== debian/watch ===
version=4

opts="mode=git" \
   https://github.com/rrthomas/@PACKAGE@.git \
   refs/tags/v([\d.]+)
