## psutils 3.3.12

=== debian/changelog ===
psutils (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12
  * d/copyright: Drop old-scripts
  * d/watch: Resolve PACKAGE var

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 08:08:41 +0200

psutils (3.3.8-3) unstable; urgency=medium

  * Drop old psmerge script

 -- Bastian Germann <bage@debian.org>  Mon, 18 Aug 2025 11:55:41 +0200

psutils (3.3.8-2) unstable; urgency=medium

  * Drop old fix* scripts
  * Set LC_ALL for reproducible build

 -- Bastian Germann <bage@debian.org>  Wed, 13 Aug 2025 07:54:00 +0200
