=== debian/changelog ===
psutils (3.3.14-1) unstable; urgency=medium

  * New upstream version 3.3.14
    Closes: #1113870, #1107246

 -- Bastian Germann <bage@debian.org>  Mon, 08 Sep 2025 22:50:56 +0200
