=== debian/control ===
--- 
+++ 
@@ -42,9 +42,7 @@
  for n-up printing.
  .
  The following programs are included in psutils: epsffit, extractres,
- fixdlsrps, fixfmps, fixpsditps, fixpspps, fixscribeps,
- fixtpps, fixwfwps, fixwpps, fixwwps, includeres, psbook,
- psjoin, psmerge, psnup, psresize, psselect, pstops.
+ includeres, psbook, psjoin, psmerge, psnup, psresize, psselect, pstops.
  .
  Some programs included here (psmerge) behave differently if gs is
  available, but all programs work without it.
