=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
-	DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build
+	LC_ALL=C DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build
