=== debian/watch ===
version=4

opts="mode=git" \
   https://github.com/rrthomas/psutils.git \
   refs/tags/v([\d.]+)
